# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::ServiceFabric::V6_2_0_9
  module Models
    #
    # Represents health evaluation for the fabric:/System application,
    # containing information about the data and the algorithm used by health
    # store to evaluate health. The evaluation is returned only when the
    # aggregated health state of the cluster is either Error or Warning.
    #
    class SystemApplicationHealthEvaluation < HealthEvaluation

      include MsRestAzure


      def initialize
        @Kind = "SystemApplication"
      end

      attr_accessor :Kind

      # @return [Array<HealthEvaluationWrapper>] List of unhealthy evaluations
      # that led to the current aggregated health state of the system
      # application. The types of the unhealthy evaluations can be
      # DeployedApplicationsHealthEvaluation, ServicesHealthEvaluation or
      # EventHealthEvaluation.
      attr_accessor :unhealthy_evaluations


      #
      # Mapper for SystemApplicationHealthEvaluation class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'SystemApplication',
          type: {
            name: 'Composite',
            class_name: 'SystemApplicationHealthEvaluation',
            model_properties: {
              aggregated_health_state: {
                client_side_validation: true,
                required: false,
                serialized_name: 'AggregatedHealthState',
                type: {
                  name: 'String'
                }
              },
              description: {
                client_side_validation: true,
                required: false,
                serialized_name: 'Description',
                type: {
                  name: 'String'
                }
              },
              Kind: {
                client_side_validation: true,
                required: true,
                serialized_name: 'Kind',
                type: {
                  name: 'String'
                }
              },
              unhealthy_evaluations: {
                client_side_validation: true,
                required: false,
                serialized_name: 'UnhealthyEvaluations',
                type: {
                  name: 'Sequence',
                  element: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'HealthEvaluationWrapperElementType',
                      type: {
                        name: 'Composite',
                        class_name: 'HealthEvaluationWrapper'
                      }
                  }
                }
              }
            }
          }
        }
      end
    end
  end
end
