# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::ServiceFabric::V6_3_0_9
  module Models
    #
    # Information about an application type.
    #
    class ApplicationTypeInfo

      include MsRestAzure

      # @return [String] The application type name as defined in the
      # application manifest.
      attr_accessor :name

      # @return [String] The version of the application type as defined in the
      # application manifest.
      attr_accessor :version

      # @return [Array<ApplicationParameter>] List of application type
      # parameters that can be overridden when creating or updating the
      # application.
      attr_accessor :default_parameter_list

      # @return [ApplicationTypeStatus] The status of the application type.
      # Possible values include: 'Invalid', 'Provisioning', 'Available',
      # 'Unprovisioning', 'Failed'
      attr_accessor :status

      # @return [String] Additional detailed information about the status of
      # the application type.
      attr_accessor :status_details

      # @return [ApplicationTypeDefinitionKind] The mechanism used to define a
      # Service Fabric application type. Possible values include: 'Invalid',
      # 'ServiceFabricApplicationPackage', 'Compose'
      attr_accessor :application_type_definition_kind


      #
      # Mapper for ApplicationTypeInfo class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'ApplicationTypeInfo',
          type: {
            name: 'Composite',
            class_name: 'ApplicationTypeInfo',
            model_properties: {
              name: {
                client_side_validation: true,
                required: false,
                serialized_name: 'Name',
                type: {
                  name: 'String'
                }
              },
              version: {
                client_side_validation: true,
                required: false,
                serialized_name: 'Version',
                type: {
                  name: 'String'
                }
              },
              default_parameter_list: {
                client_side_validation: true,
                required: false,
                serialized_name: 'DefaultParameterList',
                type: {
                  name: 'Sequence',
                  element: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'ApplicationParameterElementType',
                      type: {
                        name: 'Composite',
                        class_name: 'ApplicationParameter'
                      }
                  }
                }
              },
              status: {
                client_side_validation: true,
                required: false,
                serialized_name: 'Status',
                type: {
                  name: 'String'
                }
              },
              status_details: {
                client_side_validation: true,
                required: false,
                serialized_name: 'StatusDetails',
                type: {
                  name: 'String'
                }
              },
              application_type_definition_kind: {
                client_side_validation: true,
                required: false,
                serialized_name: 'ApplicationTypeDefinitionKind',
                type: {
                  name: 'String'
                }
              }
            }
          }
        }
      end
    end
  end
end
