# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::ServiceFabric::V6_3_0_9
  module Models
    #
    # Key value store related information for the replica.
    #
    class KeyValueStoreReplicaStatus < ReplicaStatusBase

      include MsRestAzure


      def initialize
        @Kind = "KeyValueStore"
      end

      attr_accessor :Kind

      # @return [String] Value indicating the estimated number of rows in the
      # underlying database.
      attr_accessor :database_row_count_estimate

      # @return [String] Value indicating the estimated size of the underlying
      # database.
      attr_accessor :database_logical_size_estimate

      # @return [String] Value indicating the latest key-prefix filter applied
      # to enumeration during the callback. Null if there is no pending
      # callback.
      attr_accessor :copy_notification_current_key_filter

      # @return [String] Value indicating the latest number of keys enumerated
      # during the callback. 0 if there is no pending callback.
      attr_accessor :copy_notification_current_progress

      # @return [String] Value indicating the current status details of the
      # replica.
      attr_accessor :status_details


      #
      # Mapper for KeyValueStoreReplicaStatus class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'KeyValueStore',
          type: {
            name: 'Composite',
            class_name: 'KeyValueStoreReplicaStatus',
            model_properties: {
              Kind: {
                client_side_validation: true,
                required: true,
                serialized_name: 'Kind',
                type: {
                  name: 'String'
                }
              },
              database_row_count_estimate: {
                client_side_validation: true,
                required: false,
                serialized_name: 'DatabaseRowCountEstimate',
                type: {
                  name: 'String'
                }
              },
              database_logical_size_estimate: {
                client_side_validation: true,
                required: false,
                serialized_name: 'DatabaseLogicalSizeEstimate',
                type: {
                  name: 'String'
                }
              },
              copy_notification_current_key_filter: {
                client_side_validation: true,
                required: false,
                serialized_name: 'CopyNotificationCurrentKeyFilter',
                type: {
                  name: 'String'
                }
              },
              copy_notification_current_progress: {
                client_side_validation: true,
                required: false,
                serialized_name: 'CopyNotificationCurrentProgress',
                type: {
                  name: 'String'
                }
              },
              status_details: {
                client_side_validation: true,
                required: false,
                serialized_name: 'StatusDetails',
                type: {
                  name: 'String'
                }
              }
            }
          }
        }
      end
    end
  end
end
