# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::ServiceFabric::V7_0_0_42
  module Models
    #
    # Represents a stateless service instance. This includes information about
    # the identity, status, health, node name, uptime, and other details about
    # the instance.
    #
    class StatelessServiceInstanceInfo < ReplicaInfo

      include MsRestAzure


      def initialize
        @ServiceKind = "Stateless"
      end

      attr_accessor :ServiceKind

      # @return [String] Id of a stateless service instance. InstanceId is used
      # by Service Fabric to uniquely identify an instance of a partition of a
      # stateless service. It is unique within a partition and does not change
      # for the lifetime of the instance. If the instance has failed over on
      # the same or different node, it will get a different value for the
      # InstanceId.
      attr_accessor :instance_id


      #
      # Mapper for StatelessServiceInstanceInfo class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'Stateless',
          type: {
            name: 'Composite',
            class_name: 'StatelessServiceInstanceInfo',
            model_properties: {
              replica_status: {
                client_side_validation: true,
                required: false,
                serialized_name: 'ReplicaStatus',
                type: {
                  name: 'String'
                }
              },
              health_state: {
                client_side_validation: true,
                required: false,
                serialized_name: 'HealthState',
                type: {
                  name: 'String'
                }
              },
              node_name: {
                client_side_validation: true,
                required: false,
                serialized_name: 'NodeName',
                type: {
                  name: 'String'
                }
              },
              address: {
                client_side_validation: true,
                required: false,
                serialized_name: 'Address',
                type: {
                  name: 'String'
                }
              },
              last_in_build_duration_in_seconds: {
                client_side_validation: true,
                required: false,
                serialized_name: 'LastInBuildDurationInSeconds',
                type: {
                  name: 'String'
                }
              },
              ServiceKind: {
                client_side_validation: true,
                required: true,
                serialized_name: 'ServiceKind',
                type: {
                  name: 'String'
                }
              },
              instance_id: {
                client_side_validation: true,
                required: false,
                serialized_name: 'InstanceId',
                type: {
                  name: 'String'
                }
              }
            }
          }
        }
      end
    end
  end
end
